Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.bcel.classfile
Interface Node

All Known Implementing Classes:
  Attribute, Code, CodeException, Constant, ConstantClass, ConstantCP, ConstantDouble, ConstantFieldref, ConstantFloat, ConstantInteger, ConstantInterfaceMethodref, ConstantLong, ConstantMethodref, ConstantNameAndType, ConstantPool, ConstantString, ConstantUtf8, ConstantValue, Deprecated, ExceptionTable, Field, FieldOrMethod, InnerClass, InnerClasses, JavaClass, LineNumber, LineNumberTable, LocalVariable, LocalVariableTable, Method, PMGClass, Signature, SourceFile, StackMap, Synthetic, Unknown

    public interface Node

Denote class to have an accept method();

Version:
  $Id: Node.java 386056 2006-03-15 11:31:56Z tcurdt $

Method Summary
`void` | `accept(Visitor obj)`

Method Detail

### accept

    void accept(Visitor obj)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 Apache Software Foundation. All Rights Reserved.